package com.zswl.cloud.springBatch.client.model.request;

import java.time.OffsetDateTime;

/**
 * TicketOrderChannelCreateDto，渠道下单
 */
public class CreateOrdereRquest {
    /**
     * 应用AppId
     */
    private String appId;
    /**
     * 观众列表ID，用,分隔
     */
    private String audience;
    /**
     * 购买模式：0优惠购票 1原价票
     */
    private Long buyModel;
    /**
     * 影院地址
     */
    private String cinemaAddress;
    /**
     * 影院编码
     */
    private String cinemaCode;
    /**
     * 影院ID
     */
    private String cinemaId;
    /**
     * 影院经度
     */
    private Double cinemaLat;
    /**
     * 影院纬度
     */
    private Double cinemaLng;
    /**
     * 影院名称
     */
    private String cinemaName;
    /**
     * 城市ID
     */
    private String cityId;
    /**
     * 城市名称
     */
    private String cityName;
    /**
     * 自定义参数
     */
    private String entPara;
    /**
     * 影厅名称
     */
    private String hallName;
    /**
     * 电影编码
     */
    private String movieCode;
    /**
     * 电影ID
     */
    private String movieId;
    /**
     * 电影名称
     */
    private String movieName;
    /**
     * 影票类型（英语 3D）
     */
    private String movieVersion;
    /**
     * 座位id，多个座位用逗号分隔
     */
    private String originalSeatIds;
    /**
     * 电影海报地址
     */
    private String postImageUrl;
    /**
     * 座位名称（多个用逗号分隔）
     */
    private String seatNames;
    /**
     * 开场时间
     */
    private OffsetDateTime sessionBeginTime;
    /**
     * 结束时间
     */
    private OffsetDateTime sessionEndTime;
    /**
     * 场次ID
     */
    private String sessionId;
    /**
     * 票源id
     */
    private String sourceId;
    /**
     * 用户手机号
     */
    private String userMobile;

    public String getAppId() { return appId; }
    public void setAppId(String value) { this.appId = value; }

    public String getAudience() { return audience; }
    public void setAudience(String value) { this.audience = value; }

    public Long getBuyModel() { return buyModel; }
    public void setBuyModel(Long value) { this.buyModel = value; }

    public String getCinemaAddress() { return cinemaAddress; }
    public void setCinemaAddress(String value) { this.cinemaAddress = value; }

    public String getCinemaCode() { return cinemaCode; }
    public void setCinemaCode(String value) { this.cinemaCode = value; }

    public String getCinemaId() { return cinemaId; }
    public void setCinemaId(String value) { this.cinemaId = value; }

    public Double getCinemaLat() { return cinemaLat; }
    public void setCinemaLat(Double value) { this.cinemaLat = value; }

    public Double getCinemaLng() { return cinemaLng; }
    public void setCinemaLng(Double value) { this.cinemaLng = value; }

    public String getCinemaName() { return cinemaName; }
    public void setCinemaName(String value) { this.cinemaName = value; }

    public String getCityId() { return cityId; }
    public void setCityId(String value) { this.cityId = value; }

    public String getCityName() { return cityName; }
    public void setCityName(String value) { this.cityName = value; }

    public String getEntPara() { return entPara; }
    public void setEntPara(String value) { this.entPara = value; }

    public String getHallName() { return hallName; }
    public void setHallName(String value) { this.hallName = value; }

    public String getMovieCode() { return movieCode; }
    public void setMovieCode(String value) { this.movieCode = value; }

    public String getMovieId() { return movieId; }
    public void setMovieId(String value) { this.movieId = value; }

    public String getMovieName() { return movieName; }
    public void setMovieName(String value) { this.movieName = value; }

    public String getMovieVersion() { return movieVersion; }
    public void setMovieVersion(String value) { this.movieVersion = value; }

    public String getOriginalSeatIds() { return originalSeatIds; }
    public void setOriginalSeatIds(String value) { this.originalSeatIds = value; }

    public String getPostImageUrl() { return postImageUrl; }
    public void setPostImageUrl(String value) { this.postImageUrl = value; }

    public String getSeatNames() { return seatNames; }
    public void setSeatNames(String value) { this.seatNames = value; }

    public OffsetDateTime getSessionBeginTime() { return sessionBeginTime; }
    public void setSessionBeginTime(OffsetDateTime value) { this.sessionBeginTime = value; }

    public OffsetDateTime getSessionEndTime() { return sessionEndTime; }
    public void setSessionEndTime(OffsetDateTime value) { this.sessionEndTime = value; }

    public String getSessionId() { return sessionId; }
    public void setSessionId(String value) { this.sessionId = value; }

    public String getSourceId() { return sourceId; }
    public void setSourceId(String value) { this.sourceId = value; }

    public String getUserMobile() { return userMobile; }
    public void setUserMobile(String value) { this.userMobile = value; }
}